<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AdminIshareBalance extends Model
{
    protected $table = 'admin_ishare_balance';

    protected $fillable = [
        'available',
        'allocated'
    ];

    /**
     * Get the total available balance
     */
    public function getAvailableBalanceAttribute()
    {
        return $this->available;
    }

    /**
     * Get the total allocated balance
     */
    public function getAllocatedBalanceAttribute()
    {
        return $this->allocated;
    }
}
